
<!doctype html>

<meta charset="utf-8">
<title>Supervision</title>
<link href="src/css/style.css" rel="stylesheet" type="text/css">
<link href="https://fonts.googleapis.com/css?family=Pragati+Narrow" rel="stylesheet">
<script src="https://d3js.org/d3.v4.js"></script>
<script src="src/js/my-dagre.js"></script>
<script src="src/js/shapes.js"></script>

<body onresize="javascript:document.location.reload();">
  <div id="svg"></div>
  <div id="panel">
    <img id="dashimg" src="src/img/dashboard.png" width="4%"=height>
    <font id="dashtitle">Dashboard</font>
    <font id="dashtitle2">Synchrone</font>
    <font id="dashtitle3">Asynchrone</font>
    <a href="api1.html"><img id="img_graph" src="src/img/line-chart.png" width="3%"=height>
    <font id="tbc1">TBC Méthode 1</font></a>
    <img id="img_graph2" src="src/img/line-chart.png" width="3%"=height>
    <font id="tbc2">TBC Méthode 2</font>
    <a href="index.html"><img id="img_graph3" src="src/img/line-chart.png" width="3%"=height>
    <font id="tersaText">Tersa</font></a>
<div>

  <!-- <img id="dashimg" src="src/img/dashboard.png" width="20%"=height onclick=""> -->
<script>
var img1 = document.getElementById('img_graph');
img1.addEventListener("mouseover",()=>{label5.style.color="#5DE37C"});
img1.addEventListener("mouseout",()=>{label5.style.color="#88959E"});
var img2 = document.getElementById('img_graph3');
img2.addEventListener("mouseover",()=>{label4.style.color="#5DE37C"});
img2.addEventListener("mouseout",()=>{label4.style.color="#88959E"});
var label1 = document.getElementById('dashtitle');
label1.style.fontSize=(innerWidth+innerHeight)/60+"px";
label1.style.color="white";
var label2 = document.getElementById('dashtitle2');
label2.style.fontSize=(innerWidth+innerHeight)/80+"px";
var label3 = document.getElementById('dashtitle3');
label3.style.fontSize=(innerWidth+innerHeight)/80+"px";
var label4 = document.getElementById('tersaText');
label4.style.color="#88959E";
label4.style.fontSize=(innerWidth+innerHeight)/90+"px";
label4.addEventListener("mouseover",()=>{label4.style.color="#5DE37C"});
label4.addEventListener("mouseout",()=>{label4.style.color="#88959E"});
var label5 = document.getElementById('tbc1');
label5.style.color="#88959E";
label5.style.fontSize=(innerWidth+innerHeight)/90+"px";
label5.addEventListener("mouseover",()=>{label5.style.color="#5DE37C"});
label5.addEventListener("mouseout",()=>{label5.style.color="#88959E"});
var label6 = document.getElementById('tbc2');
label6.style.fontSize=(innerWidth+innerHeight)/90+"px";
label6.style.color="#FFFFFF";


var g = new dagreD3.graphlib.Graph().setGraph({});

var nodes = [ "TBC", "API stocks", "API catalogue", "Genserver1","User","Genserver2"
            ];
// Automatically label each of the nodes


    g.setNode("TBC",{ shape:"ellipse"}, { label: "TBC" });
    g.setNode("API stocks",{ shape:"api"}, { label: "API stocks" });
    g.setNode("API catalogue",{ shape:"api"}, { label: "API catalogue" });
    g.setNode("Genserver1",{ shape:"circle"}, { label: "Genserver1" });
    g.setNode("Genserver2",{ shape:"circle"}, { label: "Genserver2" });
    g.setNode("User",{ shape:"man"}, { label: "User" });

// Set up the edges

g.setEdge("TBC", "API stocks", {curve: d3.curveBasis, style:"fill:#F5F5F5;stroke-dasharray: 100,5;stroke-dashoffset: 100;animation: dash 2s linear forwards infinite;}",label: "" });
g.setEdge("TBC", "API catalogue", {curve: d3.curveBasis, style:"fill:#F5F5F5;stroke-dasharray: 100,5;stroke-dashoffset: 100;animation: dash 2s linear forwards infinite;}",label: "" });
g.setEdge("User", "API stocks", {curve: d3.curveBasis,label: "" });
g.setEdge("User", "Genserver1", {curve: d3.curveBasis,label: "" });
g.setEdge("Genserver1", "API catalogue", {curve: d3.curveBasis, style:"fill:#F5F5F5;stroke-dasharray:5,5;animation: dash 5s linear infinite;",label: "" });
g.setEdge("User", "Genserver2", {curve: d3.curveBasis,label: "" });
g.setEdge("Genserver2", "API stocks", {curve: d3.curveBasis,label: "" });




var svg = d3.select("div").append("svg").attr("height",innerHeight*0.99).attr("width",innerWidth*0.8).call(d3.zoom().on("zoom", ()=>{
  svg.attr("transform", "translate("+ (d3.event.transform.x + (svg_g.attr("width") - g.graph().width) / 2) + "," + (d3.event.transform.y + (svg_g.attr("height") - g.graph().height) / 2) +") scale(" + d3.event.transform.k + ")")
}));

var svg_g = svg;
var svg = svg.append("g");
svg.selectAll("text").attr("fill","white");
g.graph().rankdir = "LR";
g.graph().nodesep = 60;
g.graph().edgeSep = 80;
g.graph().rankSep = 200;

var render = new dagreD3.render();

render(svg, g);

var xCenterOffset = (svg_g.attr("width") - g.graph().width) / 2;
var yCenterOffset = (svg_g.attr("height") - g.graph().height) / 2;
svg.attr("transform", "translate(" + xCenterOffset + ","+yCenterOffset+")");

// document.getElementById("dashimg").style("font-size",(innerWidth+innerHeight)/1000);



</script>
</body>
</html>
